Get system log search count
curl --request POST \
--url https://api.wirespeed.co/v1/team/log/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"security": true,
"types": [
"<string>"
],
"statuses": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/team/log/count"
payload = {
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"security": True,
"types": ["<string>"],
"statuses": ["<string>"],
"createdAfter": "<string>",
"createdBefore": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
filter: '<string>',
search: '<string>',
orderBy: '<string>',
security: true,
types: ['<string>'],
statuses: ['<string>'],
createdAfter: '<string>',
createdBefore: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/team/log/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Team
Get system log search count
POST
/
v1
/
team
/
log
/
count
Get system log search count
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
asc, desc Filter to show only security events when true
When set, only rows whose type is in this list (see @wire/shared SYSTEM_LOG_EVENT_TYPES). The value general also matches legacy rows with null or empty type.
When set, only rows whose status is in this list (see @wire/shared SYSTEM_LOG_EVENT_STATUSES)
Inclusive lower bound on created_at (ISO8601)
Inclusive upper bound on created_at (ISO8601)
Response
Total number of system log entries matching the search criteria
⌘I

